<?php

	$vw_dark_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$vw_dark_first_color = get_theme_mod('vw_dark_first_color');

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.main-navigation ul.sub-menu>li>a:before, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, #sidebar h3, .woocommerce span.onsale, .toggle-nav button{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='p.site-title a, .logo h1 a, .logo p.site-description, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h2 a, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover, #comments a.comment-reply-link:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .pro-button a:hover{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.pro-button a:hover{';
			$vw_dark_custom_css .='border-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.main-header{';
			$vw_dark_custom_css .='border-bottom-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_width_option','Full Width');
    if($vw_dark_theme_lay == 'Boxed'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Wide Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Full Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 100%;';
		$vw_dark_custom_css .='}';
	}

	/*-------------------Slider Height ------------*/

	$vw_dark_slider_height = get_theme_mod('vw_dark_slider_height');
	if($vw_dark_slider_height != false){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='height: '.esc_attr($vw_dark_slider_height).';';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='@media screen and (max-width:575px){
		#slider img{';
			$vw_dark_custom_css .='height: auto;';
		$vw_dark_custom_css .='} }';
	}

	/*----------------Responsive Media -----------------------*/

	$vw_dark_resp_slider = get_theme_mod( 'vw_dark_resp_slider_hide_show',false);
	if($vw_dark_resp_slider == true && get_theme_mod( 'vw_dark_slider_hide_show', false) == false){
    	$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_slider == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_slider == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$vw_dark_custom_css .='margin-top: 45px;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_sidebar = get_theme_mod( 'vw_dark_sidebar_hide_show',true);
    if($vw_dark_resp_sidebar == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_sidebar == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_scroll_top = get_theme_mod( 'vw_dark_resp_scroll_top_hide_show',true);
	if($vw_dark_resp_scroll_top == true && get_theme_mod( 'vw_dark_hide_show_scroll',true) == false){
    	$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_scroll_top == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:visible !important;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_scroll_top == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_dark_resp_menu_toggle_btn_bg_color');
	if($vw_dark_resp_menu_toggle_btn_bg_color != false){
		$vw_dark_custom_css .='.toggle-nav button{';
			$vw_dark_custom_css .='background: '.esc_attr($vw_dark_resp_menu_toggle_btn_bg_color).';';
		$vw_dark_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_dark_button_border_radius = get_theme_mod('vw_dark_button_border_radius');
	if($vw_dark_button_border_radius != false){
		$vw_dark_custom_css .='.post-main-box .more-btn a{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_button_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}
	
	$vw_dark_button_top_bottom_padding = get_theme_mod('vw_dark_button_top_bottom_padding');
	$vw_dark_button_left_right_padding = get_theme_mod('vw_dark_button_left_right_padding');
	if($vw_dark_button_top_bottom_padding != false || $vw_dark_button_left_right_padding != false){
		$vw_dark_custom_css .='.post-main-box .more-btn a{';
			$vw_dark_custom_css .='padding-top: '.esc_attr($vw_dark_button_top_bottom_padding).'!important; padding-bottom: '.esc_attr($vw_dark_button_top_bottom_padding).'!important;padding-left: '.esc_attr($vw_dark_button_left_right_padding).'!important;padding-right: '.esc_attr($vw_dark_button_left_right_padding).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_button_font_size = get_theme_mod('vw_dark_button_font_size',14);
	$vw_dark_custom_css .='.more-btn a{';
		$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_button_font_size).';';
	$vw_dark_custom_css .='}';

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_button_text_transform','Uppercase');
	if($vw_dark_theme_lay == 'Capitalize'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Capitalize;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Lowercase'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Lowercase;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Uppercase'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Uppercase;';
		$vw_dark_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_blog_layout_option','Default');
    if($vw_dark_theme_lay == 'Default'){
		$vw_dark_custom_css .='.post-main-box{';
			$vw_dark_custom_css .='';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Center'){
		$vw_dark_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$vw_dark_custom_css .='text-align:center;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info{';
			$vw_dark_custom_css .='margin-top:10px;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info hr{';
			$vw_dark_custom_css .='margin:15px auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Left'){
		$vw_dark_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$vw_dark_custom_css .='text-align:Left;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info hr{';
			$vw_dark_custom_css .='margin-bottom:10px;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-main-box h2{';
			$vw_dark_custom_css .='margin-top:10px;';
		$vw_dark_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_dark_footer_padding = get_theme_mod('vw_dark_footer_padding');
	if($vw_dark_footer_padding != false){
		$vw_dark_custom_css .='#footer{';
		$vw_dark_custom_css .='padding: '.esc_attr($vw_dark_footer_padding).' !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_widgets_heading = get_theme_mod( 'vw_dark_footer_widgets_heading','Left');
    if($vw_dark_footer_widgets_heading == 'Left'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$vw_dark_custom_css .='text-align: left;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_heading == 'Center'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_dark_custom_css .='text-align: center;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_heading == 'Right'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_dark_custom_css .='text-align: right;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_widgets_content = get_theme_mod( 'vw_dark_footer_widgets_content','Left');
    if($vw_dark_footer_widgets_content == 'Left'){
		$vw_dark_custom_css .='#footer .widget{';
		$vw_dark_custom_css .='text-align: left;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_content == 'Center'){
		$vw_dark_custom_css .='#footer .widget{';
			$vw_dark_custom_css .='text-align: center;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_content == 'Right'){
		$vw_dark_custom_css .='#footer .widget{';
			$vw_dark_custom_css .='text-align: right;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_copyright_alingment = get_theme_mod('vw_dark_copyright_alingment');
	if($vw_dark_copyright_alingment != false){
		$vw_dark_custom_css .='.copyright p{';
			$vw_dark_custom_css .='text-align: '.esc_attr($vw_dark_copyright_alingment).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_icon = get_theme_mod('vw_dark_footer_icon');
	if($vw_dark_footer_icon == false){
		$vw_dark_custom_css .='.copyright p{';
			$vw_dark_custom_css .='width:100%; text-align:center; float:none;';
		$vw_dark_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$vw_dark_logo_padding = get_theme_mod('vw_dark_logo_padding');
	if($vw_dark_logo_padding != false){
		$vw_dark_custom_css .='.main-header .logo{';
			$vw_dark_custom_css .='padding: '.esc_attr($vw_dark_logo_padding).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_logo_margin = get_theme_mod('vw_dark_logo_margin');
	if($vw_dark_logo_margin != false){
		$vw_dark_custom_css .='.main-header .logo{';
			$vw_dark_custom_css .='margin: '.esc_attr($vw_dark_logo_margin).';';
		$vw_dark_custom_css .='}';
	}

	// Site title Font Size
	$vw_dark_site_title_font_size = get_theme_mod('vw_dark_site_title_font_size');
	if($vw_dark_site_title_font_size != false){
		$vw_dark_custom_css .='.logo h1, .logo p.site-title{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_title_font_size).';';
		$vw_dark_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_dark_site_tagline_font_size = get_theme_mod('vw_dark_site_tagline_font_size');
	if($vw_dark_site_tagline_font_size != false){
		$vw_dark_custom_css .='.logo p.site-description{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_tagline_font_size).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_menus_color = get_theme_mod('vw_dark_header_menus_color');
	if($vw_dark_header_menus_color != false){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_menus_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_menus_hover_color = get_theme_mod('vw_dark_header_menus_hover_color');
	if($vw_dark_header_menus_hover_color != false){
		$vw_dark_custom_css .='.main-navigation a:hover{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_menus_hover_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_submenus_color = get_theme_mod('vw_dark_header_submenus_color');
	if($vw_dark_header_submenus_color != false){
		$vw_dark_custom_css .='.main-navigation ul ul a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_submenus_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_submenus_hover_color = get_theme_mod('vw_dark_header_submenus_hover_color');
	if($vw_dark_header_submenus_hover_color != false){
		$vw_dark_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_submenus_hover_color).';';
		$vw_dark_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_dark_preloader_bg_color = get_theme_mod('vw_dark_preloader_bg_color');
	if($vw_dark_preloader_bg_color != false){
		$vw_dark_custom_css .='#preloader{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_preloader_bg_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_preloader_border_color = get_theme_mod('vw_dark_preloader_border_color');
	if($vw_dark_preloader_border_color != false){
		$vw_dark_custom_css .='.loader-line{';
			$vw_dark_custom_css .='border-color: '.esc_attr($vw_dark_preloader_border_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	// Slider CSS
	if(get_theme_mod('vw_dark_slider_hide_show') == false){
		$vw_dark_custom_css .=' .page-template-custom-home-page .main-header{';
				$vw_dark_custom_css .=' position: static; border-bottom: 1px solid #000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .=' .page-template-custom-home-page p.site-title a, .page-template-custom-home-page .logo h1 a, .page-template-custom-home-page .logo p.site-description{';
				$vw_dark_custom_css .=' color: #000;';
		$vw_dark_custom_css .='}';
	}
